%define archivename     AbyssinicaSIL
%define fontdir         %{_datadir}/fonts/abyssinica

Name:           abyssinica-fonts
Version:        1.0
Release:        1%{?dist}
Summary:        SIL Abyssinica fonts

Group:          User Interface/X
License:        SIL Open Font License
URL:            http://scripts.sil.org/AbyssinicaSIL_Download
# Source0 can be downloaded from the above URL, search for "zip"
# NOTE: the archive has to be converted to a tar.bz2 file for %setup
Source0:        %{archivename}%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  dos2unix

# Providing the name of an upstream RPM
Provides:       fonts-sil-abyssinica = %{version}-%{release}

%description

SIL Abyssinica is a Unicode typeface family containing glyphs for the
Ethiopic script.

The Ethiopic script is used for writing many of the languages of Ethiopia and
Eritrea. Abyssinica SIL supports all Ethiopic characters which are in Unicode
including the Unicode 4.1 extensions. Some languages of Ethiopia are not yet
able to be fully represented in Unicode and, where necessary, we have included
non-Unicode characters in the Private Use Area (see Private-use (PUA)
characters supported by Abyssinica SIL).

Abyssinica SIL is based on Ethiopic calligraphic traditions. This release is
a regular typeface, with no bold or italic version available or planned.

%prep
%setup -q -n %{archivename}%{version}


%build
dos2unix FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt


%install
rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir}
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt

%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Fri Sep 14 2007 Bernardo Innocenti <bernie@codewiz.org> 1.0-1
- Initial packaging, borrowing many things from gentium-fonts
